#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <assert.h>
#ifdef USE_DMALLOC
#include <dmalloc.h>
#endif


typedef struct name_and_age {
  char  name[30];
  unsigned short age;
} name_and_age;


/* creation */
name_and_age* c_new_name_and_age_struct(void);

/* output */
void c_print_name (const name_and_age *an_example);
void c_print_age (const name_and_age *an_example);

/* changing of values */
void c_set_name(name_and_age *an_example, const char* a_name);
void c_set_age(name_and_age *an_example, unsigned short an_age);

/* queries */
char* c_get_name(const name_and_age *an_example);
unsigned short c_get_age(const name_and_age *an_example);

/* freeing the memory */
void c_free_name_and_age (name_and_age *an_example);
